<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Live Console</title>
  <link href="../styles/default.css" rel="stylesheet">
  <script src="../live-console.min.js"></script>
  <style>
    #live-console {
      height: 312px;
    }
  </style>
</head>
<body>
  <div id="live-console" class="live-console"></div>
  <script>
    LiveConsole.config({
      countOverwritableLogIterations: false
    });

    function myFunction() {
      console.log('Existing function to log');
    }

    LiveConsole.log('Simple message');
    LiveConsole.log('Simple message');
    LiveConsole.log('Simple message');
    LiveConsole.log('Message with <strong>html</strong>');
    LiveConsole.log(20);
    LiveConsole.log(null);
    LiveConsole.log(undefined);
    LiveConsole.log([ 'A', 'B', 'C', 'D', 'E' ]);
    LiveConsole.log({ username: 'John Doe', profile: { firstname: 'John', lastname: 'Doe' } });

    const longArray = [];
    for(let i = 0; i < 10000; i++) {
      longArray.push(Math.random());
    }
    LiveConsole.log(longArray);

    const longObject = {};
    for(let i = 0; i < 1000; i++) {
      longObject['p' + i] = 'Property ' + (i + 1);
    }
    LiveConsole.log(longObject);

    LiveConsole.log(myFunction);

    setInterval(() => {
      LiveConsole.log('Tick every second');
    }, 1000);

    document.addEventListener('mousemove', e => {
      LiveConsole.overwrite('mouse', `Mouse position: (${e.x}; ${e.y})`);
    });

  </script>
</body>
</html>